"""Top-level package for PyNHD."""
from pkg_resources import DistributionNotFound, get_distribution

from .exceptions import InvalidInputType, InvalidInputValue, MissingItems, ZeroMatched
from .pynhd import NLDI, WaterData, prepare_nhdplus, topoogical_sort, vector_accumulation

try:
    __version__ = get_distribution(__name__).version
except DistributionNotFound:
    # package is not installed
    pass
